Reply::Plugin::ResultCache(3pm)

NAME
Reply::Plugin::ResultCache - retain previous results to be able to refer to them later

VERSION
version 0.42

SYNOPSIS
  ; .replyrc
  [ResultCache]
  variable = r

DESCRIPTION
This plugin caches the results of successful evaluations, and provides them in a lexical array (by default @res, although this can be changed via the "variable" option). This means that you can, for instance, access the value returned by the previous line with $res[-1]. It also modifies the output to include an indication of where the value is stored, for later reference.

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2016 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License